Package org.apache.sling.distribution.journal.shared

# Class PublisherConfigurationAvailable

java.lang.Object
org.apache.sling.distribution.journal.shared.PublisherConfigurationAvailable

All Implemented Interfaces:
  `org.osgi.service.cm.ManagedServiceFactory`

public class PublisherConfigurationAvailable extends Object implements org.osgi.service.cm.ManagedServiceFactory
This service checks for DistributionPublisher agent configuration availability and registers the marker service `PublisherConfigurationAvailable` when such configuration could be found. To avoid costly reactivation cycles, the marker service remains registered until this service is deactivated. This service is meant to be executed on every instance, even in a cluster.

## Constructor Summary

Constructors
Constructor
Description
`PublisherConfigurationAvailable()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activate(org.osgi.framework.BundleContext context)`
`void`
`deactivate()`
`void`
`deleted(String pid)`
`String`
`getName()`
`protected boolean`
`isAvailable()`
`void`
`updated(String pid, Dictionary<String,?> properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PublisherConfigurationAvailable

public PublisherConfigurationAvailable()

## Method Details

### activate

public void activate(org.osgi.framework.BundleContext context)

### deactivate

public void deactivate()

### isAvailable

protected boolean isAvailable()

### getName

public String getName()

Specified by:
  `getName` in interface `org.osgi.service.cm.ManagedServiceFactory`

### updated

public void updated(String pid, Dictionary<String,?> properties) throws org.osgi.service.cm.ConfigurationException

Specified by:
  `updated` in interface `org.osgi.service.cm.ManagedServiceFactory`
Throws:
  `org.osgi.service.cm.ConfigurationException`

### deleted

public void deleted(String pid)

Specified by:
  `deleted` in interface `org.osgi.service.cm.ManagedServiceFactory`